flashplugin-nonfree_3.7_amd64.deb


Advertisement

Description

flashplugin-nonfree - Adobe Flash Player - browser plugin

Distribution: Debian Sid
Repository: Debian Contrib amd64
Package name: flashplugin-nonfree
Package version: 3.7
Package release:
Package architecture: amd64
Package type: deb
Installed size: 71 B
Download size: 17.58 KB
Official Mirror: ftp.br.debian.org
Description: unavailable.

Alternatives

Conflicts

  • flashplayer-mozilla
  • flashplugin << 6
  • libflash-mozplugin
  • xfs << 1:1.0.1-5

Replaces

  • flashplugin << 6

    Download

    Source package: flashplugin-nonfree

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install flashplugin-nonfree deb package:
      # sudo apt-get install flashplugin-nonfree

    Changelog

    2016-08-04 - Bart Martens <bartm@debian.org> flashplugin-nonfree (1:3.7) unstable; urgency=medium * update-flashplugin-nonfree: Delete old cached get-upstream-version.pl. Closes: #833413. * update-flashplugin-nonfree: Clear GREP_OPTIONS. Closes: #812866. * debian/control: Depends: gnupg | gnupg2. Closes: #816852. * debian/control: Suggests: iceweasel, firefox-esr. Closes: #820645. * debian/update-flashplugin-nonfree.8: Add --status. Closes: #741217. * debian/control: Suggests: hal-flash. Closes: #799614. * update-flashplugin-nonfree: Removed support for the old fp10* files. * debian/control: Standards-Version: 3.9.8.

    2014-12-21 - Bart Martens <bartm@debian.org> flashplugin-nonfree (1:3.6.1) unstable; urgency=medium * debian/control: Pre-Depends: ca-certificates. Closes: #773633.

    2014-09-15 - Bart Martens <bartm@debian.org> flashplugin-nonfree (1:3.6) unstable; urgency=medium * debian/control: Depends: ca-certificates. Closes: #760638. * update-flashplugin-nonfree: Add use of wget option -nv. Closes: #732577. * Updated the tools to the newest versions: debian/rules publish-*, fp*.txt, get-upstream-version.pl. * debian/control: Removed the list of supported browsers and point to the wiki page instead. * debian/copyright: Updated.

    2014-06-22 - Bart Martens <bartm@debian.org> flashplugin-nonfree (1:3.5) unstable; urgency=high * Fixes the security bug reported by Jakub Wilk on 22 Jun 2014 09:16:18 +0200 on #752277 : + pubkey.asc: Replaced with the public key of a new keypair. + update-flashplugin-nonfree: Download files signed with new key.

    2013-12-08 - Bart Martens <bartm@debian.org> flashplugin-nonfree (1:3.4) unstable; urgency=low * Removed option nosse2. * Remove old extra files with checksums verifications before installing new extra files. Closes: #729404. * Write errors and warnings to stderr instead of stdout. * Updated Suggests from ttf-dejavu to fonts-dejavu. Closes: #725680. * get-upstream-version.pl: Save webpage in /var/cache/flashplugin-nonfree/ for debugging if reading version fails. Closes: #730047.

    2013-10-06 - Bart Martens <bartm@debian.org> flashplugin-nonfree (1:3.3) unstable; urgency=low * get-upstream-version.pl: Support different returned webpages. * debian/rules: Upload checksum files per version. * update-flashplugin-nonfree: Use checksum file per version. * get-upstream-version.pl: Added option "nosse2". * update-flashplugin-nonfree: Suggest "--nosse2" on hardware without sse2. * update-flashplugin-nonfree: Added option "--nosse2". Closes: #701957, #697339, #696408.

    2012-12-13 - Bart Martens <bartm@debian.org> flashplugin-nonfree (1:3.2) unstable; urgency=low * update-flashplugin-nonfree: Added use of "gpg --verify" to notice files without signature. Thanks to Ansgar Burchardt for reporting the security issue (via private e-mail on 13 Dec 2012). * get-upstream-version.pl: Added validation of link to flash. Thanks to Henrik Ahlgren for reporting the security issue (on debian-security on 12 Dec 2012). * debian/postinst: Added removal of cached get-upstream-version.pl so that a fresh copy is downloaded.

    2012-09-14 - Bart Martens <bartm@debian.org> flashplugin-nonfree (1:3.1) unstable; urgency=low * get-upstream-version.pl: Added error handling with "failed to read $url". * get-upstream-version.pl: Less hard-coded with $link_to_flash. * update-flashplugin-nonfree: Write errors to stderr (>&2). * update-flashplugin-nonfree: Better error handling for get_upstream_version. * update-flashplugin-nonfree: Use "perl get-upstream-version.pl ...". Closes: #687416.

    Advertisement
    Advertisement